
//  @(#)callbacks.C 1.7 94/02/03
//
//  Callbacks needed for the mptool program.
//
//  Copyright (c) Rich Burridge.    All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

#include "mptool.h"

void do_startup  (void) ;

#define  CALLBACK(name, func)                                      \
     extern "C" { void name(Widget, tu_ccb_arg_p, XtPointer) { func() ; } }


CALLBACK(CopiesDec,       base.do_copies_dec)
CALLBACK(CopiesInc,       base.do_copies_inc)
CALLBACK(ExitMptool,      base.do_exit_mptool)
CALLBACK(FileApply,       base.do_file_apply)
CALLBACK(FileDismiss,     base.do_file_dismiss)
CALLBACK(HdrsAdd,         hdr.do_hdrs_add)
CALLBACK(HdrsApply,       hdr.do_hdrs_apply)
CALLBACK(HdrsDismiss,     hdr.do_hdrs_dismiss)
CALLBACK(HdrsRemove,      hdr.do_hdrs_remove)
CALLBACK(HdrsReset,       hdr.do_hdrs_reset)
CALLBACK(HelpDismiss,     help.do_help_dismiss)
CALLBACK(HelpGeneral,     help.do_help_general)
CALLBACK(HelpHeaders,     help.do_help_headers)
CALLBACK(HelpInput,       help.do_help_input)
CALLBACK(HelpOutput,      help.do_help_output)
CALLBACK(HelpPrinting,    help.do_help_printing)
CALLBACK(HelpSave,        help.do_help_save)
CALLBACK(HelpUsername,    help.do_help_username)
CALLBACK(InputApply,      input.do_input_apply)
CALLBACK(InputDismiss,    input.do_input_dismiss)
CALLBACK(InputReset,      input.do_input_reset)
CALLBACK(OutputApply,     output.do_output_apply)
CALLBACK(OutputDismiss,   output.do_output_dismiss)
CALLBACK(OutputReset,     output.do_output_reset)
CALLBACK(PrintFiles,      base.do_print_files)
CALLBACK(PrintingApply,   print.do_printing_apply)
CALLBACK(PrintingDismiss, print.do_printing_dismiss)
CALLBACK(PrintingReset,   print.do_printing_reset)
CALLBACK(ResetOptions,    base.do_reset_options)
CALLBACK(SaveDefaults,    base.do_save_defaults)
CALLBACK(ShowFile,        base.do_show_file)
CALLBACK(ShowHeaders,     hdr.do_show_headers)
CALLBACK(ShowInput,       input.do_show_input)
CALLBACK(ShowOutput,      output.do_show_output)
CALLBACK(ShowPrinting,    print.do_show_printing)
CALLBACK(ShowUsername,    user.do_show_username)
CALLBACK(ToggleHdrList,   hdr.do_toggle_hdr_list)
CALLBACK(UNApply,         user.do_un_apply)
CALLBACK(UNDismiss,       user.do_un_dismiss)
CALLBACK(UNReset,         user.do_un_reset)

extern "C" { int startup() { do_startup() ; return(0) ; } }
